-1

I'm relatively new to the Linux. Can anyone please help me how to install MariaDB version 10.0 and not newer?

1

You should do the following:

Create a MariaDB.list file in /etc/apt/sources.list.d/ with the following contents to add the MariaDB apt repository:

# MariaDB 10.0 repository list - created 2019-01-27 09:50 UTC
# http://downloads.mariadb.org/mariadb/repositories/
deb [arch=amd64,arm64,ppc64el] http://sfo1.mirrors.digitalocean.com/mariadb/repo/10.0/ubuntu bionic main
deb-src http://sfo1.mirrors.digitalocean.com/mariadb/repo/10.0/ubuntu bionic main

And then:

sudo apt update
sudo apt install mariadb-server

I hope this works for you.

Sources:

https://mariadb.com/kb/en/library/installing-mariadb-deb-files/

https://linuxize.com/post/how-to-install-mariadb-on-ubuntu-18-04/

0

MariaDB 10.0 is not supported for Ubuntu 18.04 sadly :(

You can install MDB 10.0 in Ubuntu 16.04 or MDB 10.1 in 18.04: https://downloads.mariadb.org/mariadb/repositories/#distro=Ubuntu&distro_release=bionic--ubuntu_bionic&mirror=harukasan&version=10.0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.